org.apache.torque.generator.outlet.java

## Class JavaFilenameOutlet

- java.lang.Object
- - org.apache.torque.generator.outlet.OutletImpl
  - - org.apache.torque.generator.outlet.java.JavaFilenameOutlet

- All Implemented Interfaces:
    Outlet

      public class JavaFilenameOutlet
      extends OutletImpl

  Takes a class name and a package name as input and generates a filename(including path for package) for a java file from it.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CLASSNAME_MERGEPOINT_NAME` The name of the merge point which provides the file name.
    `static String` | `PACKAGE_MERGEPOINT_NAME` The name of the merge point which provides the class name.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaFilenameOutlet(QualifiedName qualifiedName)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OutletResult` | `execute(ControllerState controllerState)` Generates the output for this template into the Generated object.

    - ### Methods inherited from class org.apache.torque.generator.outlet.OutletImpl

      `addMergepointMapping, afterExecute, beforeExecute, getInputClass, getInputElementName, getMergepointMapping, getMergepointMappings, getName, getVariable, mergepoint, setInputClass, setInputElementName, setMergepointMapping, setVariable, setVariable, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PACKAGE_MERGEPOINT_NAME

          public static final String PACKAGE_MERGEPOINT_NAME

      The name of the merge point which provides the class name.
      See Also:
        Constant Field Values

    - #### CLASSNAME_MERGEPOINT_NAME

          public static final String CLASSNAME_MERGEPOINT_NAME

      The name of the merge point which provides the file name.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JavaFilenameOutlet

          public JavaFilenameOutlet(QualifiedName qualifiedName)

      Constructor.
      Parameters:
        `qualifiedName` - the qualified name of the outlet, not null.

  - ### Method Detail

    - #### execute

          public OutletResult execute(ControllerState controllerState)
                               throws GeneratorException

      Description copied from interface: `Outlet`
      Generates the output for this template into the Generated object.
      Specified by:
        `execute` in interface `Outlet`
      Specified by:
        `execute` in class `OutletImpl`
      Parameters:
        `controllerState` - the current controller state, not null.
      Returns:
        the output of the Outlet.
      Throws:
        `GeneratorException` - if generation fails.

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.